Package org.globus.gsi.testutils

# Class DirSetupUtil

java.lang.Object
org.globus.gsi.testutils.DirSetupUtil

public class DirSetupUtil extends Object
FILL ME

Author:
  ranantha@mcs.anl.gov

## Constructor Summary

Constructors
Constructor
Description
`DirSetupUtil(String[] inputFileNames)`

## Method Summary

Modifier and Type
Method
Description
`void`
`copy()`
`void`
`createTempDirectory()`
`void`
`delete()`
`FileSetupUtil`
`getFileSetupUtil(String filename)`
`File`
`getTempDirectory()`
`String`
`getTempDirectoryName()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### DirSetupUtil

public DirSetupUtil(String[] inputFileNames)

## Method Details

### createTempDirectory

public void createTempDirectory() throws IOException

Throws:
  `IOException`

### copy

public void copy() throws Exception

Throws:
  `Exception`

### getFileSetupUtil

public FileSetupUtil getFileSetupUtil(String filename)

### getTempDirectory

public File getTempDirectory()

### getTempDirectoryName

public String getTempDirectoryName()

### delete

public void delete() throws IOException

Throws:
  `IOException`